=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-10-01 22:15:10 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-10-01 22:23:24 +0000
@@ -20,7 +20,7 @@
 import logging
 import posixpath
 
-from paste.httpexceptions import HTTPNotFound, HTTPServerError
+from paste.httpexceptions import HTTPServerError
 
 from bzrlib.revision import is_null as is_null_rev
 

=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2008-09-09 22:47:45 +0000
+++ loggerhead/templates/changelog.pt	2008-10-01 22:20:26 +0000
@@ -23,10 +23,14 @@
            <tal:no-link condition="not: branch/branch_link">
              <span metal:use-macro="breadcrumbs/directory"></span>
            </tal:no-link>
-           : changes
-          <tal:block condition="filter_file_id">to <span tal:content="python:history.get_path(revid, filter_file_id)" /></tal:block>
-          <tal:block condition="start_revid">from revision <tal:block content="python:history.get_revno(start_revid)" /></tal:block>
-          <tal:block condition="query">matching <tal:block content="query" /></tal:block>
+           <tal:block condition="changes">
+             : changes
+             <tal:block condition="filter_file_id">to <span tal:content="python:history.get_path(revid, filter_file_id)" /></tal:block>
+             <tal:block condition="start_revid">from revision
+               <span tal:content="python:history.get_revno(start_revid)"/>
+             </tal:block>
+             <tal:block condition="query">matching <tal:block content="query" /></tal:block>
+           </tal:block>
          </h1>
         </tal:block>
 

